fgetss
file_get_contents
Filesystem Functions
PHP Manual

# file_exists

(PHP 4, PHP 5)

file_exists — Checks whether a file or directory exists

### Description

bool file_exists ( string `$filename` )

Checks whether a file or directory exists.

### Parameters

`filename`

  Path to the file or directory.

  On windows, use //computername/share/filename or \\computername\share\filename to check files on network shares.

### Return Values

Returns `TRUE` if the file or directory specified by `filename` exists; `FALSE` otherwise.

> Note: This function will return `FALSE` for symlinks pointing to non-existing files.

Warning

This function returns `FALSE` for files inaccessible due to safe mode restrictions. However these files still can be included if they are located in safe_mode_include_dir.

> Note: The check is done using the real UID/GID instead of the effective one.

### Examples

Example #1 Testing whether a file exists

`<?php
$filename = '/path/to/foo.txt';
if (file_exists($filename)) {
echo "The file $filename exists";
} else {
echo "The file $filename does not exist";
}
?>`

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

### See Also

- is_readable()
- is_writable()
- is_file()
- file()

fgetss
file_get_contents
Filesystem Functions
PHP Manual